Mobileread
Since 7 is now out, can I update to Calibre 5?
#1  Sydney's Mom 01-21-2021, 07:43 PM
I see DeDRM v. 7.03 is available. I am still on Calibre 4.18, because I saw the warning. But now I am having trouble with ADE Epubs getting stuck at 1%. Is it safe to update?
Reply 

#2  jhowell 01-21-2021, 08:14 PM
It works for some people. However I follow the comments on Alf's Blog and Harper's GitHub and quite a few people have had problems with the 7.0.3 beta and then had success after reverting to the older software.
Reply 

#3  dan2the6th 01-25-2021, 08:20 PM
I'm just one data point, but I delayed upgrading to v5 until the v7.0.3 plugin came out. Then I upgraded, and so far everything has been just fine.
Reply 

#4  JSWolf 01-25-2021, 09:21 PM
Quote jhowell
It works for some people. However I follow the comments on Alf's Blog and Harper's GitHub and quite a few people have had problems with the 7.0.3 beta and then had success after reverting to the older software.
What problems are they having? I know PDF doesn't work well. I only remove the DRM from ePub and KF8 and I've not had any trouble.
Reply 

#5  jhowell 01-25-2021, 09:38 PM
Quote JSWolf
What problems are they having? I know PDF doesn't work well. I only remove the DRM from ePub and KF8 and I've not had any trouble.
Read those sites to see for yourself. Numerous people have reported problems with the 7 beta, were told to revert to the older software, and reported that had worked for them.

One recent problem I saw was that ADE decryption will always fail for some people based on their Adobe ID. I suspect that will occur for about one in ten people.
Reply 

#6  JSWolf 01-26-2021, 08:54 AM
Quote jhowell
Read those sites to see for yourself. Numerous people have reported problems with the 7 beta, were told to revert to the older software, and reported that had worked for them.

One recent problem I saw was that ADE decryption will always fail for some people based on their Adobe ID. I suspect that will occur for about one in ten people.
That is an odd problem to have it fail based on your Adobe ID. I do have a portable Calibre 4.23 64-bit installed just in case I ever need it for DeDRM.
Reply 

#7  JSWolf 01-26-2021, 08:58 AM
Quote jhowell
Read those sites to see for yourself. Numerous people have reported problems with the 7 beta, were told to revert to the older software, and reported that had worked for them.

One recent problem I saw was that ADE decryption will always fail for some people based on their Adobe ID. I suspect that will occur for about one in ten people.
I found with the first beta DeDRM 7.0.0 that I has to export my keys from the Calibre 4 version, delete the jason file and import the keys. It did not work with the existing jason file. Maybe that's the problem these people are having?
Reply 

#8  PeterT 01-26-2021, 10:40 AM
Quote Sydney's Mom
I see DeDRM v. 7.03 is available. I am still on Calibre 4.18, because I saw the warning. But now I am having trouble with ADE Epubs getting stuck at 1%. Is it safe to update?
One option would be install a portable version of the newest calibre, add Alf's tool to it and try for yourself using of course a brand new library, not your 4.18 library.
Reply 

#9  jhowell 01-26-2021, 10:44 AM
Quote JSWolf
That is an odd problem to have it fail based on your Adobe ID.
I may have the details of that wrong. In any case there is a problem with Adobe DRM affecting some people.

Quote JSWolf
I found with the first beta DeDRM 7.0.0 that I has to export my keys from the Calibre 4 version, delete the jason file and import the keys. It did not work with the existing jason file. Maybe that's the problem these people are having?
That might be part of the problem, I don't know. I do know that reverting to the non-beta version has fixed things for some people.
Reply 

#10  JSWolf 01-26-2021, 01:32 PM
There is one file updated since 7.0.3 was released. I don't know what it fixes.
Reply 

  Next »  Last »  (1/2)
Today's Posts | Search this Thread | Login | Register